<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for HotelRates StructType
 * @subpackage Structs
 */
class HotelRates extends AbstractStructBase
{
    /**
     * The HotelRatesRQ
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_HotelRatesRQ
     */
    public $HotelRatesRQ;
    /**
     * Constructor method for HotelRates
     * @uses HotelRates::setHotelRatesRQ()
     * @param \StructType\JP_HotelRatesRQ $hotelRatesRQ
     */
    public function __construct(\StructType\JP_HotelRatesRQ $hotelRatesRQ = null)
    {
        $this
            ->setHotelRatesRQ($hotelRatesRQ);
    }
    /**
     * Get HotelRatesRQ value
     * @return \StructType\JP_HotelRatesRQ|null
     */
    public function getHotelRatesRQ()
    {
        return $this->HotelRatesRQ;
    }
    /**
     * Set HotelRatesRQ value
     * @param \StructType\JP_HotelRatesRQ $hotelRatesRQ
     * @return \StructType\HotelRates
     */
    public function setHotelRatesRQ(\StructType\JP_HotelRatesRQ $hotelRatesRQ = null)
    {
        $this->HotelRatesRQ = $hotelRatesRQ;
        return $this;
    }
}
